QGIS Application - Feature request #14098

ftools geoprocessing tools are slow with large dataset, port them to c++
2016-01-13 07:55 AM - Martin Landa

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 22104
Description

Attempt to perform intersect on input SHP layers with higher number of features hangs around 60% and never finish.

Input data:

ogrinfo HPJ_KPP/hpj_kpp.shp hpj_kpp -so | grep Count
Feature Count: 10735

ogrinfo gis-zp-skoleni-data/LU/Land_Use.shp Land_Use -so | grep Count
Feature Count: 40108

History

#1 - 2016-01-13 08:31 AM - Giovanni Manghi
- Status changed from Open to Feedback

the vector geoprocessing tools of qgis (aka ftools) are known to be very weak with large/complex geometries. There are other tickets about this, and
recently (after the las palmas dev meeting) also a lot of discussions about this matter. There is already a c++ implementation of such tools, in qgis
enterprise, but it is not reverting to qgis soon, at least not in 2.14.

#2 - 2016-05-23 10:04 AM - Giovanni Manghi

- Operating System deleted (Linux)

- Target version deleted (Version 2.14)

- Status changed from Feedback to Open

- Category changed from Vectors to 44

- Subject changed from intersect doesn't work for larger input datasets to ftools geoprocessing tools are slow with large dataset, port them to c++
- Tracker changed from Bug report to Feature request

#3 - 2017-01-02 05:50 AM - Giovanni Manghi
- Category changed from 44 to Processing/QGIS

#4 - 2017-02-09 11:35 AM - Alexander Bruy

Actually almost all geoprocessing tools were ported into C++ many years ago, but they weren't used in fTools and/or Processing.

#5 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No
#6 - 2018-02-02 09:06 AM - Alexander Bruy
- Description updated
- Status changed from Open to Feedback

All major geoprocessing tools now implemented in C++. Can we close this?

#7 - 2018-02-05 01:13 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Yes
